## monit 5.34.3

=== libmonit/test/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = StrTest$(EXEEXT) FmtTest$(EXEEXT) \
	SystemTest$(EXEEXT) RandomTest$(EXEEXT) ArrayTest$(EXEEXT) \
	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
subdir = test
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/ax_check_compile_flag.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_ArrayTest_OBJECTS = ArrayTest.$(OBJEXT)
ArrayTest_OBJECTS = $(am_ArrayTest_OBJECTS)
ArrayTest_LDADD = $(LDADD)
ArrayTest_DEPENDENCIES = ../libmonit.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
CommandTest_LDADD = $(LDADD)
CommandTest_DEPENDENCIES = ../libmonit.la
am_DirTest_OBJECTS = DirTest.$(OBJEXT)
DirTest_OBJECTS = $(am_DirTest_OBJECTS)
DirTest_LDADD = $(LDADD)
DirTest_DEPENDENCIES = ../libmonit.la
am_ExceptionTest_OBJECTS = ExceptionTest.$(OBJEXT)
ExceptionTest_OBJECTS = $(am_ExceptionTest_OBJECTS)
ExceptionTest_LDADD = $(LDADD)
ExceptionTest_DEPENDENCIES = ../libmonit.la
am_FileTest_OBJECTS = FileTest.$(OBJEXT)
FileTest_OBJECTS = $(am_FileTest_OBJECTS)
FileTest_LDADD = $(LDADD)
FileTest_DEPENDENCIES = ../libmonit.la
am_FmtTest_OBJECTS = FmtTest.$(OBJEXT)
FmtTest_OBJECTS = $(am_FmtTest_OBJECTS)
FmtTest_LDADD = $(LDADD)
FmtTest_DEPENDENCIES = ../libmonit.la
am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
InputStreamTest_LDADD = $(LDADD)
InputStreamTest_DEPENDENCIES = ../libmonit.la
am_ListTest_OBJECTS = ListTest.$(OBJEXT)
ListTest_OBJECTS = $(am_ListTest_OBJECTS)
ListTest_LDADD = $(LDADD)
ListTest_DEPENDENCIES = ../libmonit.la
am_NetTest_OBJECTS = NetTest.$(OBJEXT)
NetTest_OBJECTS = $(am_NetTest_OBJECTS)
NetTest_LDADD = $(LDADD)
NetTest_DEPENDENCIES = ../libmonit.la
am_OutputStreamTest_OBJECTS = OutputStreamTest.$(OBJEXT)
OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
OutputStreamTest_LDADD = $(LDADD)
OutputStreamTest_DEPENDENCIES = ../libmonit.la
am_RandomTest_OBJECTS = RandomTest.$(OBJEXT)
RandomTest_OBJECTS = $(am_RandomTest_OBJECTS)
RandomTest_LDADD = $(LDADD)
RandomTest_DEPENDENCIES = ../libmonit.la
am_StrTest_OBJECTS = StrTest.$(OBJEXT)
StrTest_OBJECTS = $(am_StrTest_OBJECTS)
StrTest_LDADD = $(LDADD)
StrTest_DEPENDENCIES = ../libmonit.la
am_StringBufferTest_OBJECTS = StringBufferTest.$(OBJEXT)
StringBufferTest_OBJECTS = $(am_StringBufferTest_OBJECTS)
StringBufferTest_LDADD = $(LDADD)
StringBufferTest_DEPENDENCIES = ../libmonit.la
am_SystemTest_OBJECTS = SystemTest.$(OBJEXT)
SystemTest_OBJECTS = $(am_SystemTest_OBJECTS)
SystemTest_LDADD = $(LDADD)
SystemTest_DEPENDENCIES = ../libmonit.la
am_TimeTest_OBJECTS = TimeTest.$(OBJEXT)
TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
TimeTest_LDADD = $(LDADD)
TimeTest_DEPENDENCIES = ../libmonit.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__maybe_remake_depfiles =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(ArrayTest_SOURCES) $(CommandTest_SOURCES) \
	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
	$(FileTest_SOURCES) $(FmtTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(RandomTest_SOURCES) $(StrTest_SOURCES) \
	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
	$(TimeTest_SOURCES)
DIST_SOURCES = $(ArrayTest_SOURCES) $(CommandTest_SOURCES) \
	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
	$(FileTest_SOURCES) $(FmtTest_SOURCES) \
	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
	$(RandomTest_SOURCES) $(StrTest_SOURCES) \
	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
	$(TimeTest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' autoconf
AUTOHEADER = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' autoheader
AUTOMAKE = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused  -std=c11
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lrt
LIBOBJS = 
LIBS = -lm -lpthread -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UNIT_TEST = test
VERSION = 1.0
abs_builddir = /var/lib/jenkins/svn/monit-release/libmonit/test
abs_srcdir = /var/lib/jenkins/svn/monit-release/libmonit/test
abs_top_builddir = /var/lib/jenkins/svn/monit-release/libmonit
abs_top_srcdir = /var/lib/jenkins/svn/monit-release/libmonit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /var/lib/jenkins/svn/monit-release/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec

=== debian/changelog ===
monit (1:5.34.3-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 24 Dec 2024 09:18:39 -0300

monit (1:5.34.2-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 28 Nov 2024 08:41:43 -0300

=== debian/control ===
Source: monit
Section: admin
Priority: optional
Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
Build-Depends: debhelper-compat (= 13),
               bison,
               flex,
               libdevstat-dev [kfreebsd-any],
               libkvm-dev [kfreebsd-any],
               libpam-dev,
               libssl-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://mmonit.com/monit/
Vcs-Git: https://salsa.debian.org/debian/monit.git
Vcs-Browser: https://salsa.debian.org/debian/monit

Package: monit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: default-mta | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
 sysvinit-core
Description: utility for monitoring and managing daemons or similar programs
 monit is a utility for monitoring and managing daemons or similar
 programs running on a Unix system. It will start specified programs
 if they are not running and restart programs not responding.
 .
 monit supports:
  * Daemon mode - poll programs at a specified interval
  * Monitoring modes - active, passive or manual
  * Start, stop and restart of programs
  * Group and manage groups of programs
  * Process dependency definition
  * Logging to syslog or own logfile
  * Configuration - comprehensive controlfile
  * Runtime and TCP/IP port checking (tcp and udp)
  * SSL support for port checking
  * Unix domain socket checking
  * Process status and process timeout
  * Process cpu usage
  * Process memory usage
  * Process zombie check
  * Check the systems load average
  * Check a file or directory timestamp
  * Alert, stop or restart a process based on its characteristics
  * MD5 checksum for programs started and stopped by monit
  * Alert notification for program timeout, restart, checksum, stop
    resource and timestamp error
  * Flexible and customizable email alert messages
  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP,
    LDAPv2 and LDAPv3
  * An http interface with optional SSL support to make monit
    accessible from a webbrowser

=== debian/watch ===
version=4
https://mmonit.com/monit/dist/monit-([\d\.]*).tar.gz

## monit 5.35.2

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -246,13 +246,13 @@
   done | $(am__uniquify_input)`
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/config/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' autoconf
-AUTOHEADER = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' autoheader
-AUTOMAKE = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' automake-1.16
+AUTOCONF = ${SHELL} '/var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/config/missing' autoconf
+AUTOHEADER = ${SHELL} '/var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/config/missing' autoheader
+AUTOMAKE = ${SHELL} '/var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/config/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
@@ -292,7 +292,7 @@
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
-MAKEINFO = ${SHELL} '/var/lib/jenkins/svn/monit-release/libmonit/config/missing' makeinfo
+MAKEINFO = ${SHELL} '/var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/config/missing' makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
@@ -316,10 +316,10 @@
 STRIP = strip
 UNIT_TEST = test
 VERSION = 1.0
-abs_builddir = /var/lib/jenkins/svn/monit-release/libmonit/test
-abs_srcdir = /var/lib/jenkins/svn/monit-release/libmonit/test
-abs_top_builddir = /var/lib/jenkins/svn/monit-release/libmonit
-abs_top_srcdir = /var/lib/jenkins/svn/monit-release/libmonit
+abs_builddir = /var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/test
+abs_srcdir = /var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit/test
+abs_top_builddir = /var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit
+abs_top_srcdir = /var/lib/jenkins/workspace/A2. Monit source tar.gz release (master branch)/label/built-in/libmonit
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -336,19 +336,3 @@
 build_os = linux-gnu
 build_vendor = pc
 builddir = .
-datadir = ${datarootdir}
-datarootdir = ${prefix}/share
-docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
-dvidir = ${docdir}
-exec_prefix = ${prefix}
-host = x86_64-pc-linux-gnu
-host_alias = 
-host_cpu = x86_64
-host_os = linux-gnu
-host_vendor = pc
-htmldir = ${docdir}
-includedir = ${prefix}/include
-infodir = ${datarootdir}/info
-install_sh = ${SHELL} /var/lib/jenkins/svn/monit-release/libmonit/config/install-sh
-libdir = ${exec_prefix}/lib
-libexecdir = ${exec_prefix}/libexec

=== debian/changelog ===
monit (1:5.35.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 26 Aug 2025 18:22:22 -0300

monit (1:5.35.2-2) experimental; urgency=medium

  * debian/control: adding explicit libcrypt-dev to Build-Depends, thanks to
    Helmut Grohne. (Closes: #1106991)

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 01 Jun 2025 18:00:08 -0300

monit (1:5.35.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated some years.
  * debian/patches/: all patches refreshed.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 14 May 2025 13:12:07 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
+               libcrypt-dev,
                libdevstat-dev [kfreebsd-any],
                libkvm-dev [kfreebsd-any],
                libpam-dev,
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mmonit.com/monit/
 Vcs-Git: https://salsa.debian.org/debian/monit.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- \
    --sysconfdir=/etc/monit \
    --with-ipv6

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events
